//
//	Configures all options relating to this adapter.
//
//		$0 = Source directory
//		$1 = Option
//		$2 = Parameters Key
//		$3 = AdapterServiceName
//
//		$R0 = Status 
//
[ConfigureAdapter-Houston]

	set SrcDir = $($0)
	set Option = $($1)
	set KeyParameters = $($2)
	set AdapterServiceName = $($3)
	_Enter("ConfigureAdapter-Houston", _Show(SrcDir)_Show(Option)_Show(KeyParameters)_Show(AdapterServiceName))

   // Call the genero config
	_LocalShell ConfigureAdapter $(SrcDir) $(Option) $(KeyParameters) $(AdapterServiceName) $(!STF_CWDDIR)"DigiInf.Dll" "Configure"

	set Status = $($R0)
   set NeedBindingReview = $($R1)

   ifstr(i) $(Status) != "STATUS_SUCCESSFUL"
      goto Exit
   endif

   ifstr(i) $(!NTN_InstallMode) == "Install"
	   _LocalShell InvokeRAS
   endif

	_If($(NeedBindingReview))
		set Status = "STATUS_SUCCESSFUL"
	else
		set Status = "STATUS_REBOOT"
	endif

Exit = +

	_Exit("ConfigureAdapter-Houston", _Show(Status))
	Return $(Status)
